<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%
            String inputOptionsDisplay;
            String inputOptionsVisibility;
            String hiddenInputOptions;
            if (request.getAttribute("options") != null && request.getAttribute("options").equals("true")) {
                inputOptionsDisplay = "block";
                inputOptionsVisibility = "visible";
                hiddenInputOptions = "true";
            } else {
                inputOptionsDisplay = "none";
                inputOptionsVisibility = "hidden";
                hiddenInputOptions = "false";
            }
            String checkPreserveMacrons;
            if (request.getAttribute("preserveMacrons") != null && !request.getAttribute("preserveMacrons").equals("true")) {
                checkPreserveMacrons = "";
            } else {
                checkPreserveMacrons = "checked";
            }
%>

<html>
    <head>
        <%@page contentType="text/html" pageEncoding="UTF-8"%>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>The Māori Macron Restoration Service</title>
        <link href="../../css/css.css" rel="stylesheet" type="text/css" />
        <script src="../../js/js.js" type="text/javascript"></script>

        <style type="text/css">
            <% if (request.getAttribute("file") != null) {%>
            fieldset#download-file, li#download-tab {
                display: block;
                visibility: visible;
            }
            fieldset#restore-by-input, fieldset#restore-by-upload {
                display: none;
                visibility: hidden;
            }
            <% } else {%>
            fieldset#restore-by-input {
                display: block;
                visibility: visible;
            }
            fieldset#restore-by-upload, fieldset#download-file, li#download-tab {
                display: none;
                visibility: hidden;
            }
            <% }%>




        </style>

    </head>

    <body>
        <jsp:include page="header.jsp" />

        <div id="content">
            <ul id="tabset_tabs">
                <%
                            String inputTabClass, uploadTabClass, downloadTabClass;
                            inputTabClass = uploadTabClass = downloadTabClass = "";
                            if (request.getAttribute("file") != null) {
                                downloadTabClass = "selected";
                            } else {
                                inputTabClass = "selected";
                            }
                %>
                <li id="input-tab" class="<%=inputTabClass%>"> <a href="javascript:toggleTabs('restore-by-input');"> <span>Add Macrons by</span> Direct Input </a> </li>
                <li id="upload-tab" class="<%=uploadTabClass%>"> <a href="javascript:toggleTabs('restore-by-upload');"> <span>Add Macrons by</span> File Upload </a> </li>
                <li id="download-tab" class="<%=downloadTabClass%>"> <a href="javascript:void()"> <span>Macronised File</span> Download</a> </li>
            </ul>

            <div id="fields">
                <fieldset id="restore-by-input">
                    <legend class="tabset_label">Add Macrons by Direct Input</legend>
                    <form action="../servlet/DirectInput" method="post" >
                        <p class="instructions">Enter the Text</p>
			<div class="workspace">
			  <textarea name="fragment" cols="60" rows="18" id="fragment"><%= request.getAttribute("old") != null ? request.getAttribute("old") : ""%></textarea>
			  <div class="results" ><%= request.getAttribute("fragment2") != null ? request.getAttribute("fragment2") : ""%></div>
			</div>
                        <fieldset>
                            <legend class="more-options">
                                <a href="javascript:toggleOptions();">
                                    <img id="input-more-options-icon" src="../../images/arrow-closed.png" alt="Advanced Options Icon"></img>
                                    Advanced Options
                                </a>
                            </legend>
                            <div id="input-options" class="options" style="display: <%=inputOptionsDisplay%>; visibility: <%=inputOptionsVisibility%>;">
                                <table>
                                    <tr>
                                        <td>
                                            <input name="preserveExistingMacrons" type="checkbox" value="true" <%=checkPreserveMacrons%>></input>
                                            <label>Preserve existing macrons</label>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </fieldset>
                        <input type="hidden" name="lang" value="en" />
                        <input id="hidden-input-options" type="hidden" name="options" value="<%= hiddenInputOptions%>" />
                        <p class="submit_button">
                            <input title="Submit to add macrons" type="submit" value="Add Macrons" />
                        </p>
                    </form>
                </fieldset>

                <fieldset id="restore-by-upload">
                    <legend class="tabset_label">Add Macrons by File Upload</legend>
                    <form action="../servlet/FileUpload" method="post" enctype="multipart/form-data">
                        <p class="instructions">Choose an existing document to upload</p>
                        <p>
                            <label>File:</label>
                            <input type="file" id="uploaded_file" name="file" />
                        </p>
                        <fieldset>
                            <legend class="more-options">
                                <a href="javascript:toggleOptions();">
                                    <img id="upload-more-options-icon" src="../../images/arrow-closed.png" alt="Advanced Options Icon"></img>
                                    Advanced Options
                                </a>
                            </legend>
                            <div id="upload-options" class="options" style="display: <%=inputOptionsDisplay%>; visibility: <%=inputOptionsVisibility%>;">
                                <table>
                                    <tr>
                                        <th><label>Character Encoding:</label></th>
                                        <td><select id="upload-charset" name="charsetEncoding">
                                                <option value="(detect automatically)" selected="selected">(detect automatically)</option>
                                                <option value="utf-8">utf-8 (Unicode)</option>
                                                <option value="utf-16">utf-16 (Unicode)</option>
                                            </select></td>
                                    </tr>
                                    <tr>
                                        <th><label>Document Type:</label></th>
                                        <td><select id="upload-doctype" name="fileType">
                                                <option value="(detect automatically)" selected="selected">(detect automatically)</option>
                                                <option value=".docx">Microsoft Office Word 2007 (.docx)</option>
                                                <option value=".odt">Open Office Word (.odt)</option>
                                                <option value=".txt">Text (.txt)</option>
                                            </select></td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input name="preserveExistingMacrons" type="checkbox" value="true" <%=checkPreserveMacrons%>></input>
                                            <label>Preserve existing macrons</label>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </fieldset>
                        <input type="hidden" name="lang" value="en" />
                        <input id="hidden-upload-options" type="hidden" name="options" value="<%= hiddenInputOptions%>" />
                        <p class="submit_button">
                            <input title="Submit to add macrons" type="submit" value="Upload File" />
                        </p>
                        <p class="notes">Note: Supports Microsoft Word 2007 documents, Open Office Text documents and text files.</p>
                    </form>
                </fieldset>

                <fieldset id="download-file">
                    <legend class="tabset_label">Restored by File Upload</legend>
                    <form action="../servlet/Download" method="post" >
                        <p class="instructions">Output:</p>
                        <div id="options" class="options">
                            <table>
                                <tr>
                                    <th><label>File:</label></th>
                                    <td><label><%= request.getAttribute("filename")%></label></td>
                                </tr>
                                <tr>
                                    <th><label>Character Encoding:</label></th>
                                    <td><label><%= request.getAttribute("charsetEncoding")%></label></td>
                                </tr>
                                <tr>
                                    <th><label>Document Type:</label></th>
                                    <td><label><%= request.getAttribute("fileType")%></label></td>
                                </tr>
                            </table>
                        </div>
                        <%
                                    String downloadFilePath = request.getAttribute("file") != null ? ((java.io.File) request.getAttribute("file")).getAbsolutePath() : null;
                        %>
                        <input type="hidden" id="filepath" name="filepath" value="<%=downloadFilePath%>" />
                        <input type="hidden" id="filename" name="filename" value="<%= request.getAttribute("filename")%>" />
                        <p class="submit_button">
                            <input title="Download File" type="submit" value="Download File" />
                        </p>
                    </form>
                </fieldset>
            </div>
        </div>

        <jsp:include page="footer.jsp" />
    </body>
</html>
